FreeMat

- Main Page
- Related Pages

vtkCullerCollection

Section: Visualization Toolkit Rendering Classes

# Usage

vtkCullerCollection represents and provides methods to manipulate a list of Cullers (i.e., vtkCuller and subclasses). The list is unsorted and duplicate entries are not prevented.

To create an instance of class vtkCullerCollection, simply invoke its constructor as follows

      obj = vtkCullerCollection

# Methods

The class vtkCullerCollection has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkCullerCollection class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkCullerCollection = obj.NewInstance ()`
- `vtkCullerCollection = obj.SafeDownCast (vtkObject o)`
- `obj.AddItem (vtkCuller a)` - Get the next Culler in the list.
- `vtkCuller = obj.GetNextItem ()` - Get the last Culler in the list.
- `vtkCuller = obj.GetLastItem ()` - Get the last Culler in the list.